package com.sqx;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableScheduling;

@Slf4j
@SpringBootApplication
@EnableScheduling
public class SqxApplication {

	public static void main(String[] args) {
		SpringApplication.run(SqxApplication.class, args);
		log.info("(♥◠‿◠)ﾉﾞ  按摩项目启动成功   ლ(´ڡ`ლ)ﾞ  \n"+
							"       _    \n" +
							"      | |   \n" +
							"  ___ | | __\n" +
							" / _ \\| |/ /\n" +
							"| (_) |   < \n" +
							" \\___/|_|\\_\\");
		System.out.println("swagger访问地址:http://localhost:8187/sqx_fast/doc.html");
		System.out.println("-------------======= 华丽的分割线 =========----------");
		//返回Java虚拟机中的堆内存总量
		long xmsMemory = Runtime.getRuntime().totalMemory() / 1024 / 1024;
		//返回Java虚拟机中使用的最大堆内存
		long xmxMemory = Runtime.getRuntime().maxMemory() / 1024 / 1024;
		System.out.println("-Xms:" + xmsMemory + "M");
		System.out.println("-Xmx:" + xmxMemory + "M");
	}

}